import {Component, OnInit} from '@angular/core';
import {FrameDetailComponent} from "../../core/detail/frame.detail";
import {BsModalRef} from "ngx-bootstrap/modal";
import {FormBuilder, Validators} from "@angular/forms";

@Component({
  selector: 'app-frame-province-area',
  templateUrl: './frame-province-area.component.html',
  styleUrls: ['./frame-province-area.component.scss']
})
export class FrameProvinceAreaComponent extends FrameDetailComponent implements OnInit {

  area: any;

  constructor(bsModalRef: BsModalRef, fb: FormBuilder) {
    super(bsModalRef);
  }

  ngOnInit() {
  }

  showCity(area) {
    this.ajax.request(undefined, {area_id: area.area_id});
    this.area = area;
  }
}
